/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.functional;

import java.util.function.Predicate;

/**
 *
 * @author msieron
 */


public interface CharPredicate extends Predicate<Character> {

    boolean test(char c);
    
    @Override
    default boolean test(Character c) {
        return c!=null && test(c.charValue());
    }
    
}
